filename xl "&path\donors.xlsx";

proc http 
   url="http://ftp.mydomain.net/free_data/donors.xlsx" 
   out=xl;
run;

proc import datafile="&path\donors.xlsx" 
            out=WORK.Donors_xlsx
            dbms=XLSX replace;
run;

filename xl;

title "Imported from donors.xlsx from FTP source";
proc print data=donors_xlsx(obs=10);
run;
