  /* Let's read a CSV file in place from a URL */
filename MyURL URL "http://mydomain.net/free_data/donors.csv"
        /*user="UserName" pass="myname@somewhere.com"*/;

proc import datafile=MyURL out=Work.Donors_csv_url
            dbms=dlm replace;
   delimiter=",";
   getnames=yes;
run;

title "Imported from CSV using FILENAME URL (5 obs)";
proc print noobs data=&syslast(obs=5);
quit;
title;

  /* Now, let's try an EXCEL file */
filename MyURL URL "http://mydomain.net/free_data/donors.xlsx"
        /*user="UserName" pass="myname@somewhere.com"*/;

proc import datafile=MyURL 
            out=Work.Donors_xls_url
            dbms=excel replace;
run;
